Retrieve all licenses associated with a customer through their orders
Authorization
accessBearerAuth In the value field below, fill in the access token. It has a 10 minutes validity period. A valid token can be obtained via the /accesstoken endpoint (call), AFTER authorization with refreshBearerAuth and the refresh token.
In: header
Path Parameters
The UUID of the customer
uuidQuery Parameters
Include linked datalink IDs for each license
falseResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.eniris.be/v1/license/customer/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"licenses": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"key": "string",
"gridKw": null,
"solarKw": null,
"batteryKw": null,
"evKw": null,
"creationDate": "2019-08-24T14:15:22Z",
"activationDate": null,
"duration": 0,
"deactivationDate": null,
"type": "residential",
"datalinks": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Failed to verify token"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "User does not have sufficient rights"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}Get licenses linked to a controller by nodeId GET
Retrieve all licenses that are linked to a specific controller identified by its nodeId
Delete a manages relation DELETE
Delete a specified manages relation. If the child role of the manages relation was only connected to the rest of the role graph by the deleted relation, this child role will be deleted as well. In that case, a cascade of deletions of nodes and relations in the graph may occur. A user can only execute this action if he is a member of an autorizing role which has (direct or indirect) roleManagement rights for the parent role of the manages relation
